#
# spec file for package yast2-config-online-update (Version 2.4.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-config-online-update
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Requires:	yast2-trans-online-update  yast2
BuildArchitectures: noarch
Summary:      YaST2 - Configuration Package Update
Version:      2.4.9
Release:      1
Source0:      yast2-config-online-update-2.4.9.tar.bz2
Provides:	y2c_online_update
Obsoletes:	y2c_online_update

%description
YaST2 Package Online Update will load all available patches from SuSE ftp server
and do the installation.

Authors:
--------
    gs@suse.de

SuSE series: yast

%prep
%setup -n yast2-config-online-update-2.4.9

%build
./configure
make

%install
make install

%files
/var/adm/fillup-templates/rc.config.y2c_online_update
/etc/suseservers
/usr/lib/YaST2/menuentries/menuentry_online_update.ycp
/usr/lib/YaST2/menuentries/menuentry_cd_update.ycp
/usr/lib/YaST2/include/suseservers.ycp
/usr/lib/YaST2/scrconf/etc_suseservers.scr
/usr/lib/YaST2/clients/online_update.ycp
/usr/lib/YaST2/clients/online_update_close.ycp
/usr/lib/YaST2/clients/online_update_details.ycp
/usr/lib/YaST2/clients/online_update_load.ycp
/usr/lib/YaST2/clients/online_update_select.ycp
/usr/lib/YaST2/clients/online_update_start.ycp
%doc /usr/share/doc/packages/yast2-config-online-update

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.y2c_online_update
else
       echo "ERROR: fillup not found. This should not happen. Please compare"
       echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.y2c_online_update and update manually."
fi

%changelog -n yast2-config-online-update
* Mon Oct 22 2001 - schubi@suse.de
- getting NVIDIA via http ( YOU ) Bug 11809
* Tue Oct 09 2001 - gs@suse.de
- show the patch descriptions in correct language (bug #11712)
* Mon Oct 08 2001 - gs@suse.de
- bugfix for installation from harddisk and via NFS (bug #11683)
* Mon Sep 24 2001 - gs@suse.de
- first server entry in /etc/suseservers is default ftp server
* Tue Sep 18 2001 - gs@suse.de
- Internal changes ( obsolete defines removed or replaced )
- checking for YaST2 version works correctly now
* Fri Aug 24 2001 - schubi@suse.de
- YOU has and batchmode
  yast2 online_update .auto.get ( getting all patches )
  yast2 online_update .auto.install ( installing patches )
- New batch class "optional"
* Mon Aug 20 2001 - gs@suse.de
- Patch CD Update: write the information to install from CD
  to /var/lib/YaST/install.inf
* Mon Aug 06 2001 - gs@suse.de
- Patch CD Update shows correct error popup if the patch CD is not found
* Mon May 07 2001 - sh@suse.de
- Use new UI(`GetLanguate()) parameter
- accept next button in export mode.
- error popup xxx server not found ( Bug 8872 )
- Enable installing NEW packages
* Mon Apr 30 2001 - gs@suse.de
- name is: Patch CD Update, popup text changed again (bug 6796)
- Showing package description while installing rpm s ( #6573 )
* Thu Apr 26 2001 - gs@suse.de
- special icon for CD update
- delete patches with status .new or .error before download of new path descriptions
* Tue Apr 24 2001 - gs@suse.de
- helptext and popup text (bug 6796) changed
* Thu Apr 19 2001 - gs@suse.de
- menuentry file for CD installation added
- CD Update: return to start dialog, if source media is not set to CD
* Tue Apr 17 2001 - gs@suse.de
- rename of translation package
* Fri Apr 13 2001 - gs@suse.de
- Patch installation from CD starts with screen Available Patches
* Fri Apr 06 2001 - gs@suse.de
- default installation source is CD if module is called with .cd_default
* Wed Mar 07 2001 - schubi@suse.de
- Checking connection via socket ( not ping )
- Loading available server-list from http and load it BEFORE
  the user can select one server.
- Loading server-list can be switched off by a rc.config variable.
- Setting progress-bars to zero after closing the connection
- Updating YaST2 modules at first. Every further patch can only
  installed by a second run.
- The packages can stored on another ftp server ( e.g. nvidea)
  although the patch desciption is e.g. on ftp.suse.com
* Sat Jan 20 2001 - schubi@suse.de
- server-path of uni-aachen changed
* Thu Jan 18 2001 - schubi@suse.de
- Button "not install" to "Do not install" changed
- default installation mode to manuell changed
* Tue Jan 16 2001 - schubi@suse.de
- insert new ftp-mirrows
  inform the user about patch sizes
* Mon Jan 15 2001 - schubi@suse.de
- Translations added.
- Changed Richtext-widget to logview
* Fri Jan 12 2001 - schubi@suse.de
- Getting ftp server list from suse.de
* Mon Jan 08 2001 - kkaempf@suse.de
- provide scrconf/etc_suseservers.scr
* Mon Jan 08 2001 - kkaempf@suse.de
- provide include/suseservers.ycp
* Thu Jan 04 2001 - schubi@suse.de
- ftp-update via modem and isdn
* Thu Jan 04 2001 - schubi@suse.de
- bugfix in pgp-key checking
* Thu Dec 21 2000 - schubi@suse.de
- progress bar for file-loading added
- pgp-key check for every package  added
* Mon Dec 18 2000 - kkaempf@suse.de
- provide list of SuSE servers in /etc/suseservers (standard-URL format)
* Mon Dec 18 2000 - kkaempf@suse.de
- keep list of servers in /etc/suseservers file
* Wed Dec 13 2000 - schubi@suse.de
- new menue-entry
* Tue Dec 12 2000 - schubi@suse.de
- reading targetroot via SCR
  user messages added for pgp security
* Mon Dec 11 2000 - schubi@suse.de
- ftp-server-settings added
* Thu Dec 07 2000 - arvin@suse.de
- use bz2 instead of gz
* Wed Nov 29 2000 - gs@suse.de
- version 1.0.1 - runs initially - but needs more testing
* Fri Nov 17 2000 - gs@suse.de
- initial version
